Summary:        The Perl URI module
Name:           perl-URI
Version:        5.12
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/URI
Source0:        https://cpan.metacpan.org/modules/by-module/URI/URI-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl-ExtUtils-MakeMaker
# Module Runtime
BuildRequires:  perl-Carp, perl-constant, perl-PathTools, perl-PathTools, perl-Data-Dumper, perl-Encode, perl-Exporter
BuildRequires:  perl-libs, perl-MIME-Base64, perl-libnet, perl-overload, perl-parent, perl-Scalar-List-Utils
# Test Suite
BuildRequires:  perl-PathTools, perl-File-Temp, perl-Storable, perl-Test, perl-Test-Simple, perl-Test-Needs
# Runtime
Requires:       perl-libs, perl-PathTools, perl-Data-Dumper, perl-Encode, perl-MIME-Base64, perl-libnet

%description
This module implements the URI class. Objects of this class represent "Uniform
Resource Identifier references" as specified in RFC 2396 (and updated by RFC
2732).



%prep
%autosetup -n URI-%{version}
chmod -c 644 uri-test

for F in t/*.t t/*.pl; do
    if head -1 "$F" | grep -q -e '^#!.*perl\b' ; then
        perl -MConfig -pi -e 's|^#!.*perl\b|$Config{startperl}|' "$F"
    else
        perl -i -MConfig -ple 'print $Config{startperl} if $. == 1' "$F"
    fi
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=perl NO_PACKLIST=true NO_PERLLOCAL=true
%{make_build}



%install
%{make_install}

%{_fixperms} -c %{buildroot}



%check
export HARNESS_OPTIONS=j$(nproc)
make test



%files
%license LICENSE
%doc Changes CONTRIBUTING.md README uri-test
%{perl_privlib}/URI.pm
%{perl_privlib}/URI/
%{_mandir}/man3/



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.12-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 09 2022 Zhao Zhen <jeremiazhao@tencent.com> - 5.12-1
- Initial building.
